Skip to content
Start here

Update a user

zero_trust.access.users.update(struser_id, UserUpdateParams**kwargs) -> UserUpdateResponse
PUT/accounts/{account_id}/access/users/{user_id}

Updates a specific user’s name for an account. Requires the user’s current email as confirmation (email cannot be changed).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zero Trust: Seats Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
user_id: str

UUID.

maxLength36
email: str

The email of the user.

formatemail
name: str

The name of the user.

ReturnsExpand Collapse
class UserUpdateResponse:
id: Optional[str]

UUID.

maxLength36
access_seat: Optional[bool]

True if the user has authenticated with Cloudflare Access.

active_device_count: Optional[float]

The number of active devices registered to the user.

created_at: Optional[datetime]
formatdate-time
email: Optional[str]

The email of the user.

formatemail
gateway_seat: Optional[bool]

True if the user has logged into the WARP client.

last_successful_login: Optional[datetime]

The time at which the user last successfully logged in.

formatdate-time
name: Optional[str]

The name of the user.

seat_uid: Optional[str]

The unique API identifier for the Zero Trust seat.

uid: Optional[str]

The unique API identifier for the user.

updated_at: Optional[datetime]
formatdate-time

Update a user

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
user = client.zero_trust.access.users.update(
    user_id="f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    email="jdoe@example.com",
    name="Jane Doe",
)
print(user.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "access_seat": false,
    "active_device_count": 2,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "email": "jdoe@example.com",
    "gateway_seat": false,
    "last_successful_login": "2020-07-01T05:20:00Z",
    "name": "Jane Doe",
    "seat_uid": "seat_uid",
    "uid": "uid",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "f174e90a-fafe-4643-bbbc-4a0ed4fc8415",
    "access_seat": false,
    "active_device_count": 2,
    "created_at": "2014-01-01T05:20:00.12345Z",
    "email": "jdoe@example.com",
    "gateway_seat": false,
    "last_successful_login": "2020-07-01T05:20:00Z",
    "name": "Jane Doe",
    "seat_uid": "seat_uid",
    "uid": "uid",
    "updated_at": "2014-01-01T05:20:00.12345Z"
  }
}